Package com.sap.ai.sdk.foundationmodels.openai.generated.model

# Enum Class ChatCompletionStreamResponseDelta.RoleEnum

java.lang.Object
java.lang.Enum<ChatCompletionStreamResponseDelta.RoleEnum>
com.sap.ai.sdk.foundationmodels.openai.generated.model.ChatCompletionStreamResponseDelta.RoleEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<ChatCompletionStreamResponseDelta.RoleEnum>`, `Constable`

Enclosing class:
  `ChatCompletionStreamResponseDelta`

public static enum ChatCompletionStreamResponseDelta.RoleEnum extends Enum<ChatCompletionStreamResponseDelta.RoleEnum>
The role of the author of this message.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ASSISTANT`
  The ASSISTANT option of this ChatCompletionStreamResponseDelta
  `SYSTEM`
  The SYSTEM option of this ChatCompletionStreamResponseDelta
  `TOOL`
  The TOOL option of this ChatCompletionStreamResponseDelta
  `UNKNOWN_DEFAULT_OPEN_API`
  The UNKNOWN_DEFAULT_OPEN_API option of this ChatCompletionStreamResponseDelta
  `USER`
  The USER option of this ChatCompletionStreamResponseDelta

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ChatCompletionStreamResponseDelta.RoleEnum`
  `fromValue(String value)`
  Get the enum value from a String value
  `String`
  `getValue()`
  Get the value of the enum
  `String`
  `toString()`
  Get the String value of the enum value.
  `static ChatCompletionStreamResponseDelta.RoleEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ChatCompletionStreamResponseDelta.RoleEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### SYSTEM

    public static final ChatCompletionStreamResponseDelta.RoleEnum SYSTEM
    The SYSTEM option of this ChatCompletionStreamResponseDelta

  - ### USER

    public static final ChatCompletionStreamResponseDelta.RoleEnum USER
    The USER option of this ChatCompletionStreamResponseDelta

  - ### ASSISTANT

    public static final ChatCompletionStreamResponseDelta.RoleEnum ASSISTANT
    The ASSISTANT option of this ChatCompletionStreamResponseDelta

  - ### TOOL

    public static final ChatCompletionStreamResponseDelta.RoleEnum TOOL
    The TOOL option of this ChatCompletionStreamResponseDelta

  - ### UNKNOWN_DEFAULT_OPEN_API

    public static final ChatCompletionStreamResponseDelta.RoleEnum UNKNOWN_DEFAULT_OPEN_API
    The UNKNOWN_DEFAULT_OPEN_API option of this ChatCompletionStreamResponseDelta

- ## Method Details

  - ### values

    public static ChatCompletionStreamResponseDelta.RoleEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ChatCompletionStreamResponseDelta.RoleEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getValue

    @Nonnull public String getValue()
    Get the value of the enum
    Returns:
      The enum value

  - ### toString

    @Nonnull public String toString()
    Get the String value of the enum value.
    Overrides:
      `toString` in class `Enum<ChatCompletionStreamResponseDelta.RoleEnum>`
    Returns:
      The enum value as String

  - ### fromValue

    @Nonnull public static ChatCompletionStreamResponseDelta.RoleEnum fromValue(@Nonnull String value)
    Get the enum value from a String value
    Parameters:
      `value` - The String value
    Returns:
      The enum value of type ChatCompletionStreamResponseDelta